package com.hys.app.converter.erp;

import com.hys.app.framework.database.WebPage;
import com.hys.app.model.erp.dos.StockTransferProductDO;
import com.hys.app.model.erp.dto.StockTransferProductDTO;
import com.hys.app.model.erp.vo.StockTransferProductVO;
import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;

import java.util.List;

/**
 * 调拨单商品明细 Convert
 *
 * @author 张崧
 * @since 2023-12-12 16:34:15
 */
@Mapper(componentModel = MappingConstants.ComponentModel.SPRING)
public interface StockTransferProductConverter {

    StockTransferProductDO convert(StockTransferProductDTO stockTransferProductDTO);
    
    StockTransferProductVO convert(StockTransferProductDO stockTransferProductDO);
    
    List<StockTransferProductVO> convert(List<StockTransferProductDO> list);
    
    WebPage<StockTransferProductVO> convert(WebPage<StockTransferProductDO> webPage);
}

