package com.hys.app.model.erp.entity;

import com.hys.app.framework.database.BaseQueryParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 部门表
 */
@Data
public class CompanyPackageQuery extends BaseQueryParam {

    @ApiModelProperty("状态")
    private Boolean useAble;

    @ApiModelProperty("套餐名称")
    private String  name;


}
