package com.hys.app.mapper.erp;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hys.app.framework.cache.MybatisRedisCache;
import com.hys.app.model.erp.entity.CompanyErp;
import com.hys.app.model.erp.entity.CompanyPackage;
import com.hys.app.model.erp.entity.CompanyQuery;
import com.hys.app.model.erp.entity.CompanyVO;
import org.apache.ibatis.annotations.CacheNamespace;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 品牌BrandDO的Mapper
 * @author fk
 * @version 1.0
 * @since 7.1.0
 * 2020/7/21
 */
public interface CompanyErpMapper extends BaseMapper<CompanyErp> {
  List<CompanyVO> queryPage( @Param("query") CompanyQuery query);

}
