package com.hys.app.model.erp.entity;

import com.hys.app.framework.database.BaseQueryParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 部门表
 */
@Getter
@Setter
public class CompanyQuery extends BaseQueryParam {

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;
    /**
     * 行业
     */
    @ApiModelProperty("行业")
    private String industry;
    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    private String userName;
    /**
     * 是否启用
     */
    @ApiModelProperty("是否启用")
    private Boolean hasUse;

    private String imageUrl;


}
