package com.hys.app.service.erp;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hys.app.framework.database.BaseQueryParam;
import com.hys.app.framework.database.WebPage;
import com.hys.app.framework.database.mybatisplus.base.BaseService;
import com.hys.app.model.erp.dos.MessageReceiveDO;
import com.hys.app.model.erp.dos.WarehouseAreaDO;
import com.hys.app.model.erp.dto.WarehouseAreaQueryParams;
import com.hys.app.model.erp.entity.MailSmsCountQuery;
import com.hys.app.model.erp.vo.ProductStockVO;
import com.hys.app.model.erp.vo.WarehouseAreaVO;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

/**
 * 出库单商品明细业务层接口
 *
 * @author 张崧
 * @since 2023-12-07 17:06:32
 */
public interface MessageReceiveManager extends BaseService<MessageReceiveDO> {

    /**
     * 获取
     * @param query
     * @return
     */
    IPage<MessageReceiveDO> getPage(BaseQueryParam query,  String type);

}

