package com.hys.app.service.otherService.amazon;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.OffsetDateTime;


@TableName(value = "erp_store")
@Data
public class OwnStore {
    public static final Long ROOT_ID = 0L;

    private Long id; // 产品唯一标识符

    // 亚马逊市场的唯一标识符
    private String marketplaceId;

    // 亚马逊市场的唯一标识符
    private String name;

    // 亚马逊市场的唯一标识符
    private String code;

    // 亚马逊市场的唯一标识符
    private String url;

    // 亚马逊市场的唯一标识符
    private String username;

    // 亚马逊市场的唯一标识符
    private String password;

    // 国家代码
    private String countryCode;

    // 默认货币代码
    private String defaultCurrencyCode;

    // 默认语言代码
    private String defaultLanguageCode;

    // 域名
    private String domainName;

    // 是否参与销售
    private boolean isParticipating;

    // 最后更新时间
    private OffsetDateTime lastUpdated;
}
